Package groovy.toml

# Class TomlRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.toml.TomlRuntimeException

All Implemented Interfaces:
  `Serializable`

@Incubating public class TomlRuntimeException extends GroovyRuntimeException
Represents a runtime exception raised while parsing or building TOML.

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TomlRuntimeException(String msg)`
  Creates an exception with a detail message.
  `TomlRuntimeException(String msg, Throwable cause)`
  Creates an exception with both a detail message and an underlying cause.
  `TomlRuntimeException(Throwable cause)`
  Creates an exception that wraps the underlying cause.

- ## Method Summary

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TomlRuntimeException

    public TomlRuntimeException(String msg)
    Creates an exception with a detail message.
    Parameters:
      `msg` - the description of the failure

  - ### TomlRuntimeException

    public TomlRuntimeException(Throwable cause)
    Creates an exception that wraps the underlying cause.
    Parameters:
      `cause` - the original failure

  - ### TomlRuntimeException

    public TomlRuntimeException(String msg, Throwable cause)
    Creates an exception with both a detail message and an underlying cause.
    Parameters:
      `msg` - the description of the failure
      `cause` - the original failure